From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1066789-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 1A0D0138335
	for <garchives@archives.gentoo.org>; Mon, 14 Jan 2019 00:05:01 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id C4199E097B;
	Mon, 14 Jan 2019 00:04:59 +0000 (UTC)
Received: from smtp.gentoo.org (dev.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 9E0FBE097B
	for <gentoo-commits@lists.gentoo.org>; Mon, 14 Jan 2019 00:04:59 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id C478F335D28
	for <gentoo-commits@lists.gentoo.org>; Mon, 14 Jan 2019 00:04:57 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 65225513
	for <gentoo-commits@lists.gentoo.org>; Mon, 14 Jan 2019 00:04:56 +0000 (UTC)
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Jeroen Roovers" <jer@gentoo.org>
Message-ID: <1547424293.50509dd21d74690f368892b196c1af6c6187f123.jer@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/9libs/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-libs/9libs/9libs-1.0-r4.ebuild
X-VCS-Directories: dev-libs/9libs/
X-VCS-Committer: jer
X-VCS-Committer-Name: Jeroen Roovers
X-VCS-Revision: 50509dd21d74690f368892b196c1af6c6187f123
X-VCS-Branch: master
Date: Mon, 14 Jan 2019 00:04:56 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 627b6832-6213-469a-a54f-a557ec6826fa
X-Archives-Hash: f11b96265e63acf35a2d2cb4d636c847

commit:     50509dd21d74690f368892b196c1af6c6187f123
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 13 23:19:18 2019 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Jan 14 00:04:53 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50509dd2

dev-libs/9libs: Add USE=X,static-libs

Package-Manager: Portage-2.3.55, Repoman-2.3.12
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 dev-libs/9libs/9libs-1.0-r4.ebuild | 59 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

diff --git a/dev-libs/9libs/9libs-1.0-r4.ebuild b/dev-libs/9libs/9libs-1.0-r4.ebuild
new file mode 100644
index 00000000000..84c7b9323a1
--- /dev/null
+++ b/dev-libs/9libs/9libs-1.0-r4.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools toolchain-funcs
+
+DESCRIPTION="A package of Plan 9 compatibility libraries"
+HOMEPAGE="https://www.netlib.org/research/9libs/9libs-1.0.README"
+SRC_URI="https://www.netlib.org/research/9libs/${P}.tar.bz2"
+
+LICENSE="PLAN9"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="static-libs X"
+
+DEPEND="
+	X? (
+		>=x11-libs/libX11-1.0.0[static-libs?]
+		>=x11-libs/libXt-1.0.0[static-libs?]
+	)
+"
+RDEPEND="
+	${DEPEND}
+"
+DOCS=(
+	README
+)
+PATCHES=(
+	"${FILESDIR}"/${PN}-va_list.patch # Bug 385387
+)
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	tc-export CC
+
+	econf \
+		$(use_enable static-libs static) \
+		$(use_with X x) \
+		--enable-shared \
+		--includedir=/usr/include/9libs
+}
+
+src_install() {
+	default
+
+	# rename some man pages to avoid collisions with dev-libs/libevent
+	local f
+	for f in add balloc bitblt cachechars event frame graphics rgbpix; do
+		mv "${D}"/usr/share/man/man3/${f}.{3,3g} || die
+	done
+
+	if ! use static-libs; then
+		find "${ED}" -name '*.la' -delete || die
+	fi
+}